-Top- -Classes- -Public Operations- -Class Diagrams- -Sequence Diagrams-

_ A B C D E F G H I J K L M N O P R S T U V W ~

Class StateBehavior

Declaration :

- C++ : class StateBehavior
- Java : class StateBehavior

Artifact : StateBehavior

Attribut on_entry

Declaration :

- C++ : public: QCString on_entry
- Java : public String on_entry

Attribut on_exit

Declaration :

- C++ : public: QCString on_exit
- Java : public String on_exit

Attribut do_activity

Declaration :

- C++ : public: QCString do_activity
- Java : public String do_activity

Operation read

Declaration :

- C++ : public: void read()
- Java : public void read()

Operation unload

Declaration :

- C++ : public: void unload()

All public operations :

read , unload